Skip to main content
Webhooks

Webhook Endpoint の一覧を取得する

現在のアカウントから参照できる Webhook Endpoint の一覧を取得します。

Webhook は現在 Beta 機能です。API、フィールド、および動作は今後のバージョンで変更される可能性があります。
GET /api/v1/forward/webhook/endpoints

リクエストヘッダー

Header必須説明
AuthorizationはいBearer <PAT または管理者 SAT>

クエリパラメーター

パラメーター必須説明
limitintegerいいえページサイズ。デフォルトは 20、範囲は 1-100
after_idstringいいえ前ページのレスポンスに含まれる last_id。次ページの取得に使用します。

リクエスト例

curl -s 'https://api.qoder.com/api/v1/forward/webhook/endpoints?limit=20' \
  -H "Authorization: Bearer $QODER_PAT"

レスポンス例

HTTP 200 OK
{
  "data": [
    {
      "id": "e149c233-1234-4abc-8def-1234567890ab",
      "url": "https://example.com/webhooks/qoder",
      "description": "Schedule notifications",
      "events": [
        "forward.schedule_run.succeeded",
        "forward.schedule_run.failed"
      ],
      "metadata": {
        "environment": "production"
      },
      "active": true,
      "last_success_at": "2026-09-01T09:07:59Z",
      "last_failure_at": null,
      "consecutive_fail": 0,
      "created_at": "2026-09-01T08:00:00Z",
      "updated_at": "2026-09-01T09:07:59Z"
    }
  ],
  "first_id": "e149c233-1234-4abc-8def-1234567890ab",
  "last_id": "e149c233-1234-4abc-8def-1234567890ab",
  "has_more": false
}
結果が空の場合、data[]first_idlast_idnullhas_morefalse です。

レスポンスフィールド

フィールド説明
dataobject[]現在のページの Endpoint オブジェクト。
first_idstring/null現在のページの最初の Endpoint ID。
last_idstring/null現在のページの最後の Endpoint ID。次ページの after_id として使用できます。
has_moreboolean次ページがあるかどうか。
Endpoint のフィールドは、Webhook Endpoint を取得するを参照してください。

エラー

HTTPType発生条件
400invalid_request_errorページネーションパラメーターが不正です。
401authentication_error認証情報がない、無効、または期限切れです。
403permission_error現在のトークンでは Webhook を管理できません。
500/502/503api_errorサービスが一時的に利用できません。

関連